--------------------------------------------------------
--  DDL for Table ANALYSIS_PROJECT
--------------------------------------------------------

  CREATE TABLE "GOLD"."ANALYSIS_PROJECT" 
   (	"ANALYSIS_PROJECT_ID" NUMBER, 
	"ITS_ANALYSIS_PROJECT_ID" NUMBER, 
	"ANALYSIS_PROJECT_NAME" VARCHAR2(512 BYTE), 
	"GOLD_ID" VARCHAR2(16 BYTE), 
	"REFERENCE_AP_ID" NUMBER, 
	"IMG_TAXON_ID" NUMBER, 
	"ANALYSIS_PROJECT_TYPE" VARCHAR2(80 BYTE), 
	"STATUS_ID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"NCBI_TAX_ID" NUMBER, 
	"IS_PUBLIC" VARCHAR2(16 BYTE), 
	"ADDED_BY" NUMBER, 
	"ADD_DATE" TIMESTAMP (6), 
	"PI_ID" NUMBER, 
	"SUBMISSION_ID" NUMBER, 
	"SCAFFOLD_COUNT" NUMBER, 
	"CONTIG_COUNT" NUMBER, 
	"GENE_COUNT" NUMBER, 
	"BINNING_METHOD" VARCHAR2(1024 BYTE), 
	"GENE_CALLING_METHOD" VARCHAR2(1024 BYTE), 
	"ITS_ANALYSIS_PROJECT_NAME" VARCHAR2(512 BYTE), 
	"ITS_PRODUCT_NAME" VARCHAR2(512 BYTE), 
	"COMPLETION_DATE" TIMESTAMP (6), 
	"EST_SIZE" NUMBER, 
	"GENBANK_LOW_QUALITY_ANNOTATION" VARCHAR2(3 BYTE), 
	"ECOSYSTEM" VARCHAR2(256 BYTE), 
	"ECOSYSTEM_CATEGORY" VARCHAR2(256 BYTE), 
	"ECOSYSTEM_TYPE" VARCHAR2(256 BYTE), 
	"ECOSYSTEM_SUBTYPE" VARCHAR2(256 BYTE), 
	"SPECIFIC_ECOSYSTEM" VARCHAR2(256 BYTE), 
	"IMG_ANALYSIS_COMPLETE" VARCHAR2(3 BYTE), 
	"IS_GENE_PRIMP" VARCHAR2(3 BYTE) DEFAULT 'No', 
	"IS_DECONTAMINATION" VARCHAR2(3 BYTE) DEFAULT 'No', 
	"IS_IMG_ANNOTATION" VARCHAR2(3 BYTE) DEFAULT 'No', 
	"ITS_ANNOTATION_AT_ID" NUMBER, 
	"IS_ASSEMBLED_DELETED" VARCHAR2(16 BYTE), 
	"STUDY_ID" NUMBER, 
	"SPECIMEN" VARCHAR2(64 BYTE), 
	"ITS_ASSEMBLY_AT_TYPE" VARCHAR2(512 BYTE), 
	"DOMAIN" VARCHAR2(255 BYTE), 
	"NCBI_PHYLUM" VARCHAR2(255 BYTE), 
	"NCBI_CLASS" VARCHAR2(255 BYTE), 
	"NCBI_ORDER" VARCHAR2(255 BYTE), 
	"NCBI_FAMILY" VARCHAR2(255 BYTE), 
	"NCBI_GENUS" VARCHAR2(255 BYTE), 
	"NCBI_SPECIES" VARCHAR2(255 BYTE), 
	"APPENDED_AP_NAME" VARCHAR2(250 BYTE), 
	"MOD_BY" NUMBER, 
	"MOD_DATE" TIMESTAMP (6), 
	"PI_NAME" VARCHAR2(512 BYTE), 
	"ANALYSIS_PROJECT_NAME_FULL" VARCHAR2(1024 BYTE), 
	"IS_PRIMARY" VARCHAR2(3 BYTE) DEFAULT NULL, 
	"GOLD_PHYLOGENY" VARCHAR2(100 BYTE), 
	"PHYLOGENY_SUGGESTION" VARCHAR2(250 BYTE), 
	"REPLACES_AP_ID" NUMBER, 
	"NCBI_BIOPROJECT_ID" NUMBER, 
	"SCREENING_METHOD" VARCHAR2(240 BYTE), 
	"DECONTAMINATION_METHOD" VARCHAR2(50 BYTE), 
	"NCBI_BIOSAMPLE_ACCESSION" VARCHAR2(128 BYTE), 
	"NCBI_BIOPROJECT_ACCESSION" VARCHAR2(38 BYTE), 
	"COMPLETION" VARCHAR2(100 BYTE) DEFAULT 'Incomplete', 
	"NCBI_KINGDOM" VARCHAR2(255 BYTE), 
	"REVIEW_STATUS" VARCHAR2(100 BYTE) DEFAULT 'In Review', 
	"REJECTION_REASONS" VARCHAR2(2000 BYTE), 
	"ORGANISM_ID" NUMBER, 
	"PIPELINE_ANNOTATION_METHOD" VARCHAR2(100 BYTE), 
	"GENUS" VARCHAR2(255 BYTE), 
	"SPECIES" VARCHAR2(255 BYTE), 
	"SUBSPECIES" VARCHAR2(255 BYTE), 
	"CULTURE_COLLECTION" VARCHAR2(255 BYTE), 
	"SEROVAR" VARCHAR2(255 BYTE), 
	"STRAIN" VARCHAR2(255 BYTE), 
	"ECOSYSTEM_PATH_ID" NUMBER, 
	"SEQUENCING_DEPTH" VARCHAR2(128 BYTE), 
	"IMG_USE" VARCHAR2(30 BYTE), 
	"ANNOTATOR_COMMENTS" VARCHAR2(4000 BYTE), 
	"AP_FOR_NONOWNER" VARCHAR2(10 BYTE) DEFAULT 'No', 
	"NCBI_SUPERKINGDOM" VARCHAR2(256 BYTE), 
	"IS_TEST" VARCHAR2(100 BYTE) DEFAULT 'No', 
	"ITS_NCBI_TAX_ID" NUMBER, 
	"ITS_VERSION_NUMBER" NUMBER, 
	"IMG_RNASEQ_ID" NUMBER, 
	"SUBMISSION_STATUS_ID" NUMBER, 
	"SUBMISSION_STATUS_NAME" VARCHAR2(255 BYTE), 
	"SUBMISSION_COMMENTS" VARCHAR2(1000 BYTE), 
	"IMG_SUBMISSION_PRORITY" VARCHAR2(10 BYTE) DEFAULT 'No', 
	"CONTAMINATION_PERCENTAGE" NUMBER(6,3), 
	"COMPLETENESS_PERCENTAGE" NUMBER(6,3)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
