--------------------------------------------------------
--  DDL for Table ORGANISM_V2
--------------------------------------------------------

  CREATE TABLE "GOLD"."ORGANISM_V2" 
   (	"ORGANISM_ID" NUMBER(*,0), 
	"EXEMPLAR_DOI" VARCHAR2(30 BYTE), 
	"EXEMPLAR_NAME" VARCHAR2(300 BYTE), 
	"TAXON_DOI" VARCHAR2(30 BYTE), 
	"CULTURE_COLLECTION_ID" VARCHAR2(2000 BYTE) DEFAULT NULL, 
	"TYPE_STRAIN" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"BIOSAFETY_LEVEL" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"NCBI_TAXONOMY_ID" NUMBER(20,0) DEFAULT NULL, 
	"NCBI_KINGDOM" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"NCBI_PHYLUM" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"NCBI_CLASS" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"NCBI_ORDER" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"NCBI_FAMILY" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"NCBI_GENUS" VARCHAR2(300 BYTE) DEFAULT NULL, 
	"DOMAIN" VARCHAR2(35 BYTE), 
	"STRAIN_INFO_ID" NUMBER(20,0) DEFAULT NULL, 
	"GENBANK_16S_ID" VARCHAR2(200 BYTE) DEFAULT NULL, 
	"OXYGEN_REQUIREMENT" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"CELL_SHAPE" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"MOTILITY" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"SPORULATION" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"TEMPERATURE_RANGE" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"COLOR" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"GRAM_STAIN" VARCHAR2(35 BYTE) DEFAULT NULL, 
	"ADD_DATE" TIMESTAMP (6), 
	"MOD_DATE" TIMESTAMP (6), 
	"MOD_BY" NUMBER(*,0), 
	"COMMON_NAME" VARCHAR2(300 BYTE), 
	"SYMBIOTIC_RELATIONSHIP" VARCHAR2(200 BYTE), 
	"SYMBIOTIC_PHYSICAL_INTERACTION" VARCHAR2(200 BYTE), 
	"SYMBIONT_NAME" VARCHAR2(300 BYTE), 
	"SYMBIONT_TAXON_ID" NUMBER(*,0), 
	"CELL_LENGTH" VARCHAR2(200 BYTE), 
	"IS_PUBLIC" VARCHAR2(3 BYTE), 
	"SUBSPECIES" VARCHAR2(200 BYTE), 
	"COMMERCIAL" VARCHAR2(20 BYTE), 
	"COMMERCIAL_COMMENTS" VARCHAR2(500 BYTE), 
	"OTHER_NAMES" VARCHAR2(1000 BYTE), 
	"SYNONYM_GROUP_ID" NUMBER DEFAULT NULL, 
	"VIRAL_GROUP" VARCHAR2(100 BYTE) DEFAULT NULL, 
	"VIRAL_SUBGROUP" VARCHAR2(100 BYTE) DEFAULT NULL, 
	"IS_DRAFT" VARCHAR2(3 BYTE), 
	"SUBMITTER_ID" NUMBER, 
	"GOLD_PHYLOGENY" VARCHAR2(100 BYTE), 
	"CULTURE_TYPE" VARCHAR2(100 BYTE), 
	"UNCULTURED_TYPE" VARCHAR2(100 BYTE), 
	"ORGANISM_TYPE" VARCHAR2(32 BYTE), 
	"CULTURED" VARCHAR2(100 BYTE), 
	"CLADE" VARCHAR2(100 BYTE), 
	"MASTER_GROUP_ID" NUMBER, 
	"ECOTYPE" VARCHAR2(50 BYTE), 
	"BIOSAMPLE_ID" NUMBER, 
	"CARBON_SOURCE" VARCHAR2(100 BYTE), 
	"IMAGE_ID" NUMBER, 
	"NCBI_BIOSAMPLE_ID" VARCHAR2(128 BYTE), 
	"ECOSYSTEM" VARCHAR2(1000 BYTE), 
	"ECOSYSTEM_CATEGORY" VARCHAR2(1000 BYTE), 
	"ECOSYSTEM_TYPE" VARCHAR2(1000 BYTE), 
	"ECOSYSTEM_SUBTYPE" VARCHAR2(1000 BYTE), 
	"SPECIFIC_ECOSYSTEM" VARCHAR2(1000 BYTE), 
	"OTHER_ECOSYSTEM" VARCHAR2(250 BYTE), 
	"ECOSYSTEM_PATH_ID" NUMBER(38,0), 
	"SAMPLE_COLLECTION_SITE" VARCHAR2(4000 BYTE), 
	"ISOLATION_PUBLICATION_ID" NUMBER(*,0), 
	"SAMPLE_ISOLATION_COMMENTS" VARCHAR2(4000 BYTE), 
	"SAMPLING_STRATEGY" VARCHAR2(1000 BYTE), 
	"REPLICATE_NUMBER" NUMBER(*,0), 
	"SAMPLE_VOLUME" VARCHAR2(200 BYTE), 
	"SAMPLE_BIOMASS" VARCHAR2(200 BYTE), 
	"SAMPLE_CONTACT_NAME" VARCHAR2(255 BYTE), 
	"SAMPLE_CONTACT_EMAIL" VARCHAR2(128 BYTE), 
	"GEOGRAPHIC_LOCATION" VARCHAR2(1000 BYTE), 
	"LAT_LONG_INFERRED" VARCHAR2(64 BYTE), 
	"HOST_NAME" VARCHAR2(1000 BYTE), 
	"HOST_TAXONOMY_ID" NUMBER(*,0), 
	"HOST_GENDER" VARCHAR2(1000 BYTE), 
	"HOST_RACE" VARCHAR2(1000 BYTE), 
	"HOST_AGE" VARCHAR2(1000 BYTE), 
	"HOST_HEALTH_CONDITION" VARCHAR2(1000 BYTE), 
	"PATIENT_VISIT_NUMBER" NUMBER(*,0), 
	"HOST_MEDICATION" VARCHAR2(1000 BYTE), 
	"MRN" VARCHAR2(1000 BYTE), 
	"HOST_BODY_SITE" VARCHAR2(1000 BYTE), 
	"HOST_BODY_SUBSITE" VARCHAR2(1000 BYTE), 
	"HOST_BODY_PRODUCT" VARCHAR2(1000 BYTE), 
	"HOST_SPECIFICITY" VARCHAR2(1000 BYTE), 
	"HOST_COMMENTS" VARCHAR2(1000 BYTE), 
	"PROJECT_OID" NUMBER(*,0), 
	"SAMPLE_OID" NUMBER(*,0), 
	"SPECIMEN" VARCHAR2(100 BYTE), 
	"SUBMIT_BIOSAMPLE_NAME" VARCHAR2(2000 BYTE), 
	"ENV_PACKAGE" VARCHAR2(200 BYTE), 
	"SAMPLE_COLLECTION_DAY" NUMBER(*,0), 
	"SAMPLE_COLLECTION_MONTH" NUMBER(*,0), 
	"SAMPLE_COLLECTION_YEAR" NUMBER(*,0), 
	"SAMPLE_COLLECTION_HOUR" NUMBER(2,0), 
	"SAMPLE_COLLECTION_MINUTE" NUMBER(2,0), 
	"GROWTH_CONDITIONS" VARCHAR2(1000 BYTE), 
	"OTHER_HOSTS" VARCHAR2(1000 BYTE), 
	"KNOWN_NON_HOSTS" VARCHAR2(200 BYTE), 
	"ISOLATION_PUBMED_ID" NUMBER, 
	"HOST_BODY_SITE_ID" NUMBER DEFAULT NULL, 
	"HOST_BODY_SUBSITE_ID" NUMBER DEFAULT NULL, 
	"HOST_BODY_PRODUCT_ID" NUMBER DEFAULT NULL, 
	"SAMPLE_ISOLATION_COUNTRY_ID" NUMBER, 
	"LONGHURST_CODE" VARCHAR2(4 BYTE), 
	"CHLOROPHYLL_CONCENTRATION" VARCHAR2(50 BYTE), 
	"NITRATE_CONCENTRATION" VARCHAR2(50 BYTE), 
	"OXYGEN_CONCENTRATION" VARCHAR2(50 BYTE), 
	"SALINITY_CONCENTRATION" VARCHAR2(50 BYTE), 
	"CRUISE_LINE_NAME" VARCHAR2(100 BYTE), 
	"PROPORT_OCEAN" VARCHAR2(24 BYTE), 
	"PROPORT_ISOLATION" VARCHAR2(240 BYTE), 
	"PROPORT_STATION" VARCHAR2(50 BYTE), 
	"PROPORT_WOA_TEMPERATURE" NUMBER(10,5), 
	"PROPORT_WOA_SALINITY" NUMBER(10,5), 
	"PROPORT_WOA_DISSOLVED_OXYGEN" NUMBER(10,5), 
	"PROPORT_WOA_SILICATE" NUMBER(10,5), 
	"PROPORT_WOA_PHOSPHATE" NUMBER(10,5), 
	"PROPORT_WOA_NITRATE" NUMBER(10,5), 
	"ACTIVE" VARCHAR2(3 BYTE) DEFAULT 'Yes', 
	"ITS_GROWTH_CONDITIONS" VARCHAR2(4000 BYTE), 
	"GOLD_ID" VARCHAR2(20 BYTE), 
	"ORGANISM_NAME" VARCHAR2(300 CHAR), 
	"SUBMIT_ORGANISM_NAME" VARCHAR2(300 CHAR), 
	"NCBI_TAXONOMY_NAME" VARCHAR2(1000 CHAR), 
	"GENUS" VARCHAR2(300 CHAR), 
	"GENUS_SYNONYMS" VARCHAR2(2000 CHAR), 
	"SPECIES" VARCHAR2(300 CHAR), 
	"SPECIES_SYNONYMS" VARCHAR2(2000 CHAR), 
	"STRAIN" VARCHAR2(300 CHAR), 
	"SEROVAR" VARCHAR2(512 BYTE), 
	"COMMENTS" VARCHAR2(2000 CHAR), 
	"NCBI_SPECIES" VARCHAR2(300 CHAR), 
	"SALINITY" VARCHAR2(80 CHAR), 
	"PRESSURE" VARCHAR2(80 CHAR), 
	"PH" VARCHAR2(80 CHAR), 
	"CELL_DIAMETER" VARCHAR2(80 CHAR), 
	"ANNOTATOR_COMMENTS" VARCHAR2(500 BYTE), 
	"IS_VIROCELL" VARCHAR2(20 BYTE) DEFAULT 'Unknown', 
	"STRAININFO_GROUP_ID" NUMBER, 
	"SOURCE" VARCHAR2(20 BYTE), 
	"GOLD_CLASS" VARCHAR2(150 BYTE), 
	"GOLD_ORDER" VARCHAR2(150 BYTE), 
	"GOLD_FAMILY" VARCHAR2(150 BYTE), 
	"NCBI_SUPERKINGDOM" VARCHAR2(256 BYTE), 
	"TAXONOMY_STATUS" VARCHAR2(32 BYTE), 
	"IS_TEST" VARCHAR2(100 BYTE) DEFAULT 'No', 
	"GROWTH_TEMPERATURE" NUMBER, 
	"SUBSURFACE_DEPTH" VARCHAR2(256 BYTE), 
	"LEGACY_DEPTH_DATA" VARCHAR2(256 BYTE), 
	"LATITUDE_TEST" NUMBER, 
	"LONGITUDE_TEST" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATION2" NUMBER, 
	"SOIL_CURR_LAND_USE" VARCHAR2(100 BYTE), 
	"SOIL_CURR_VEGETATION" VARCHAR2(250 BYTE), 
	"SOIL_CURR_VEGETATION_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_PREV_LAND_USE" VARCHAR2(250 BYTE), 
	"SOIL_PREV_LAND_USE_METH" VARCHAR2(250 BYTE), 
	"SOIL_CROP_ROTATION" VARCHAR2(250 BYTE), 
	"SOIL_AGROCHEM_ADDITION" VARCHAR2(250 BYTE), 
	"SOIL_TILLAGE" VARCHAR2(100 BYTE), 
	"SOIL_FIRE" VARCHAR2(250 BYTE), 
	"SOIL_FLOODING" VARCHAR2(250 BYTE), 
	"SOIL_EXTREME_EVENT" VARCHAR2(250 BYTE), 
	"SOIL_HORIZON" VARCHAR2(100 BYTE), 
	"SOIL_HORIZON_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_SIEVING" VARCHAR2(250 BYTE), 
	"SOIL_WATER_CONTENT" VARCHAR2(250 BYTE), 
	"SOIL_WATER_CONTENT_SOIL_METH" VARCHAR2(250 BYTE), 
	"SAMPLE_WEIGHT_DNA_EXT" VARCHAR2(250 BYTE), 
	"SOIL_POOL_DNA_EXTRACTS" VARCHAR2(250 BYTE), 
	"SOIL_STORAGE_CONDITION" VARCHAR2(250 BYTE), 
	"SOIL_LINK_CLIMATE_INFO" VARCHAR2(250 BYTE), 
	"SOIL_LINK_CLASS_INFO" VARCHAR2(250 BYTE), 
	"SOIL_FAO_CLASS" VARCHAR2(250 BYTE), 
	"SOIL_LOCAL_CLASS" VARCHAR2(250 BYTE), 
	"SOIL_LOCAL_CLASS_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_TYPE" VARCHAR2(250 BYTE), 
	"SOIL_TYPE_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_SLOPE_GRADIENT" NUMBER, 
	"SOIL_SLOPE_ASPECT" NUMBER, 
	"SOIL_PROFILE_POSITION" VARCHAR2(250 BYTE), 
	"SOIL_DRAINAGE_CLASS" VARCHAR2(250 BYTE), 
	"SOIL_TEXTURE" VARCHAR2(250 BYTE), 
	"SOIL_TEXTURE_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_PH_METHOD" VARCHAR2(250 BYTE), 
	"TOT_ORG_CARBON" NUMBER, 
	"SOIL_TOT_ORG_C_METHOD" VARCHAR2(250 BYTE), 
	"TOT_NITROGEN" VARCHAR2(250 BYTE), 
	"SOIL_TOT_N_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_MICROBIAL_BIOMASS" VARCHAR2(250 BYTE), 
	"SOIL_MICROBIAL_BIOMASS_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_LINK_ADDIT_ANALYS" VARCHAR2(250 BYTE), 
	"SOIL_SALINITY_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_HEAVY_METALS" NUMBER, 
	"SOIL_HEAVY_METALS_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_ALUMINIUM_SAT" NUMBER, 
	"SOIL_ALUMINIUM_SAT_METHOD" VARCHAR2(250 BYTE), 
	"SOIL_MISC_PARAM" VARCHAR2(250 BYTE), 
	"WATER_ALKALINITY" NUMBER, 
	"WATER_ALKYL_DIETHERS" NUMBER, 
	"WATER_AMINOPEPT_ACT" NUMBER, 
	"WATER_AMMONIUM" NUMBER, 
	"WATER_ATMOSPHERIC_DATA" VARCHAR2(250 BYTE), 
	"WATER_BACTERIAL_PROD" NUMBER, 
	"WATER_BACTERIAL_RESP" NUMBER, 
	"WATER_BACTERIAL_CARBON_PROD" NUMBER, 
	"WATER_BISHOMOHOPANOL" VARCHAR2(250 BYTE), 
	"WATER_BROMIDE" NUMBER, 
	"WATER_CALCIUM" VARCHAR2(250 BYTE), 
	"WATER_CARBON_NITROG_RATIO" VARCHAR2(250 BYTE), 
	"WATER_CHEM_ADMINISTRATION" VARCHAR2(250 BYTE), 
	"WATER_CHLORIDE" NUMBER, 
	"WATER_DENSITY" NUMBER, 
	"WATER_DIETHER_LIPIDS" NUMBER, 
	"WATER_DISS_CARBON_DIOXIDE" NUMBER, 
	"WATER_DISS_HYDROGEN" NUMBER, 
	"WATER_DISS_INORG_CARBON" NUMBER, 
	"WATER_DISS_INORG_NITRO" NUMBER, 
	"WATER_DISS_INORG_PHOSPHORUS" NUMBER, 
	"WATER_DISS_ORG_CARBON" NUMBER, 
	"WATER_DISS_ORG_NITROGEN" NUMBER, 
	"WATER_DOWNWARD_PAR" NUMBER, 
	"WATER_FLUORESCENCE" NUMBER, 
	"WATER_GLUCOSIDASE_ACTIVITY" NUMBER, 
	"WATER_LIGHT_INTENSITY" NUMBER, 
	"WATER_MAGNESIUM" VARCHAR2(250 BYTE), 
	"WATER_MEAN_FRICT_VEL" NUMBER, 
	"WATER_MEAN_PEAK_FRICT_VEL" NUMBER, 
	"WATER_MISC_PARAMETER" VARCHAR2(250 BYTE), 
	"WATER_N_ALKANES" NUMBER, 
	"WATER_NITRITE" NUMBER, 
	"WATER_ORG_MATTER" NUMBER, 
	"WATER_ORG_NITROGEN" NUMBER, 
	"WATER_ORGANISM_COUNT" NUMBER, 
	"WATER_OXY_STAT_SAMPLE" VARCHAR2(250 BYTE), 
	"WATER_PART_ORG_CARBON" NUMBER, 
	"WATER_PART_ORG_NITROGEN" NUMBER, 
	"WATER_PERTURBATION" VARCHAR2(250 BYTE), 
	"WATER_PETROLEUM_HYDROCARBON" NUMBER, 
	"WATER_PHAEOPIGMENTS" NUMBER, 
	"WATER_PHOSPLIPID_FATT_ACID" VARCHAR2(250 BYTE), 
	"WATER_PHOTON_FLUX" NUMBER, 
	"WATER_POTASSIUM" NUMBER, 
	"WATER_PRIMARY_PROD" NUMBER, 
	"WATER_REDOX_POTENTIAL" NUMBER, 
	"WATER_SAMP_STORE_DUR" VARCHAR2(250 BYTE), 
	"WATER_SAMP_STORE_LOC" VARCHAR2(250 BYTE), 
	"WATER_SAMP_STORE_TEMP" NUMBER, 
	"WATER_SODIUM" NUMBER, 
	"WATER_SOLUBLE_REACT_PHOSP" NUMBER, 
	"WATER_SULFATE" VARCHAR2(250 BYTE), 
	"WATER_SULFIDE" VARCHAR2(250 BYTE), 
	"WATER_SUSPEND_PART_MATTER" NUMBER, 
	"WATER_TIDAL_STAGE" VARCHAR2(250 BYTE), 
	"WATER_TOT_DEPTH_WATER_COL" NUMBER, 
	"WATER_TOT_DISS_NITRO" NUMBER, 
	"WATER_TOT_INORG_NITRO" NUMBER, 
	"WATER_TOT_PART_CARBON" VARCHAR2(250 BYTE), 
	"WATER_TOT_PHOSPHORUS" NUMBER, 
	"WATER_CURRENT" VARCHAR2(250 BYTE), 
	"ALTITUDE" NUMBER, 
	"ALTITUDE2" NUMBER, 
	"DEPTH" NUMBER, 
	"DEPTH2" NUMBER, 
	"LONGITUDE" NUMBER, 
	"LATITUDE" NUMBER, 
	"BICARBONATE_MILLIMOL" NUMBER, 
	"SOLUBLE_IRON_MICROMOL" NUMBER, 
	"H2S_MILLIMOL" NUMBER, 
	"H2S_PRESENT" VARCHAR2(8 BYTE), 
	"IRRADIANCE" VARCHAR2(24 BYTE), 
	"METHANE_CONC_MILLIMOL" NUMBER, 
	"SAMPLE_CONDUCTIVITY" VARCHAR2(24 BYTE), 
	"SOIL_SAMPLE_BIOMASS" NUMBER, 
	"SOIL_SAMPLE_VOLUME" NUMBER, 
	"IMG_BREADTH_CALC" NUMBER(7,4), 
	"GROWTH_TEMPERATURE2" NUMBER, 
	"SAMPLE_COLLECTION_TEMPERATURE" NUMBER, 
	"SAMPLE_COLLECTION_TEMPERATURE2" NUMBER, 
	"PUBLIC_SP_COUNT" NUMBER, 
	"ADMIN_SP_COUNT" NUMBER, 
	"PUBLIC_AP_COUNT" NUMBER, 
	"ADMIN_AP_COUNT" NUMBER, 
	"SUBSURFACE_DEPTH1" NUMBER, 
	"SUBSURFACE_DEPTH2" NUMBER, 
	"PH1" NUMBER, 
	"PH2" NUMBER, 
	"PH_OLD" VARCHAR2(100 BYTE), 
	"WATER_ALKALINITY_METHOD" VARCHAR2(150 BYTE), 
	"WATER_TURBIDITY" VARCHAR2(150 BYTE), 
	"WATER_SIZE_FRAC_LOW" NUMBER, 
	"WATER_SIZE_FRAC_UP" NUMBER, 
	"SOIL_MEAN_ANNUAL_TEMP" NUMBER, 
	"SOIL_MEAN_SEASONAL_TEMP" NUMBER, 
	"SOIL_MEAN_ANNUAL_PRECPT" NUMBER, 
	"SOIL_MEAN_SEASONAL_PRECPT" NUMBER, 
	"SOIL_PACKAGE_ID" NUMBER, 
	"WATER_PACKAGE_ID" NUMBER, 
	"ENVO_BIOME_ID" VARCHAR2(50 BYTE), 
	"ENVO_FEATURE_ID" VARCHAR2(50 BYTE), 
	"ENVO_MATERIAL_ID" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
