--------------------------------------------------------
--  DDL for Table PROJECT
--------------------------------------------------------

  CREATE TABLE "GOLD"."PROJECT" 
   (	"PROJECT_ID" NUMBER, 
	"PROJECT_NAME" VARCHAR2(1024 BYTE), 
	"NCBI_BIOPROJECT_ID" NUMBER(*,0), 
	"ADD_DATE" TIMESTAMP (6), 
	"MOD_DATE" TIMESTAMP (6), 
	"MOD_BY" NUMBER(*,0), 
	"DESCRIPTION" VARCHAR2(4000 BYTE), 
	"SPECIMEN_ID" NUMBER(*,0), 
	"ORGANISM_TYPE" VARCHAR2(32 BYTE), 
	"NUCLEIC_ACID" VARCHAR2(16 BYTE), 
	"SUBMITTER_PROJECT_NAME" VARCHAR2(1000 BYTE), 
	"NCBI_PROJECT_NAME" VARCHAR2(1000 BYTE), 
	"ISOLATION_PUBLICATION_ID" NUMBER(*,0), 
	"COMPLETION_DATE" DATE, 
	"ACTIVE" VARCHAR2(3 BYTE) DEFAULT 'Yes', 
	"PMO_PROJECT_ID" NUMBER(*,0), 
	"ITS_SPID" NUMBER(*,0), 
	"PROJECT_OID" NUMBER(*,0), 
	"SAMPLE_OID" NUMBER(*,0), 
	"GOLD_ID" VARCHAR2(20 BYTE), 
	"OLD_LEGACY_GOLD_ID" VARCHAR2(20 BYTE), 
	"LEGACY_GOLD_ID" VARCHAR2(20 BYTE), 
	"IS_PUBLIC" VARCHAR2(20 BYTE) DEFAULT NULL, 
	"ORGANISM_ID" NUMBER(*,0), 
	"SEQUENCING_STATUS_ID" NUMBER(*,0), 
	"SEQUENCING_QUALITY_ID" NUMBER(*,0), 
	"FINISHING_GOAL_ID" NUMBER(*,0), 
	"SEQUENCING_COMMENTS" VARCHAR2(3000 BYTE), 
	"GC_PERCENT" NUMBER(*,0), 
	"CONTIG_COUNT" NUMBER(*,0), 
	"EST_SIZE" NUMBER(*,0), 
	"CHROMOSOME_COUNT" NUMBER(*,0), 
	"PLASMID_COUNT" NUMBER(*,0), 
	"SCAFFOLD_COUNT" NUMBER(*,0), 
	"EST_COUNT" NUMBER(*,0), 
	"SUBMITTER_ID" NUMBER(*,0), 
	"NCBI_BIOPROJECT_ACCESSION" VARCHAR2(20 BYTE), 
	"PROJECT_COMMENTS" VARCHAR2(3000 BYTE), 
	"ANNOTATOR_COMMENTS" VARCHAR2(3000 BYTE), 
	"ITS_PROPOSAL_ID" NUMBER, 
	"GPTS_PROPOSAL_ID" NUMBER, 
	"NCBI_SRA_ID" VARCHAR2(64 BYTE), 
	"LIBRARY_METHOD" VARCHAR2(500 BYTE), 
	"READ_COUNT" VARCHAR2(500 BYTE), 
	"VECTOR" VARCHAR2(500 BYTE), 
	"READ_SIZE" VARCHAR2(500 BYTE), 
	"NCBI_LOCUS_TAG" VARCHAR2(1024 BYTE), 
	"ASSEMBLY_ACCESSION" VARCHAR2(50 BYTE), 
	"IS_DRAFT" VARCHAR2(3 BYTE) DEFAULT 'No', 
	"NUCLEIC_ACID_ID" NUMBER DEFAULT NULL, 
	"PI_ID" NUMBER, 
	"PROJECT_STATUS" VARCHAR2(265 BYTE), 
	"MASTER_STUDY_ID" NUMBER, 
	"OTHER_PROJECT_NAMES" VARCHAR2(4000 BYTE), 
	"ITS_PROJECT_NAME" VARCHAR2(4000 BYTE), 
	"IS_SINGLE_CELL_MATERIAL" VARCHAR2(3 BYTE) DEFAULT NULL, 
	"ITS_SEQUENCING_PRODUCT_NAME" VARCHAR2(256 BYTE), 
	"PROJECT_MANAGER_ID" NUMBER, 
	"NCBI_BIOSAMPLE_ACCESSION" VARCHAR2(128 BYTE), 
	"LOW_QUALITY_GENOME" VARCHAR2(3 BYTE) DEFAULT 'No', 
	"SEQUENCING_STRATEGY" VARCHAR2(100 BYTE), 
	"PUBLIC_AP_COUNT" NUMBER DEFAULT 0, 
	"ADMIN_AP_COUNT" NUMBER DEFAULT 0, 
	"PUBLIC_DAP_COUNT" NUMBER DEFAULT 0, 
	"ADMIN_DAP_COUNT" NUMBER DEFAULT 0, 
	"IS_JGI" VARCHAR2(10 BYTE), 
	"SRA_SRS_ACCESSION" VARCHAR2(50 BYTE), 
	"SRA_SRX_ACCESSION" VARCHAR2(50 BYTE), 
	"FUNDING_PROGRAM" VARCHAR2(32 BYTE), 
	"FUNDING_YEAR" NUMBER, 
	"ITS_SAMPLE_ID" NUMBER, 
	"ITS_SAMPLE_GROUP_NAME" VARCHAR2(255 BYTE), 
	"EXPERIMENTAL_CONDITIONS" VARCHAR2(4000 BYTE), 
	"SAMPLE_GROUP_NAME" VARCHAR2(256 BYTE), 
	"ITS_SAMPLE_NAME" VARCHAR2(256 BYTE), 
	"PROJECT_SUBTYPE" VARCHAR2(100 BYTE), 
	"SEQUENCING_STRATEGY_FULL" VARCHAR2(100 BYTE), 
	"IS_TEST" VARCHAR2(100 BYTE) DEFAULT 'No', 
	"IS_APPROVED" VARCHAR2(15 BYTE) DEFAULT 'No', 
	"IS_LOCKED" VARCHAR2(15 BYTE) DEFAULT 'No', 
	"GPTS_SAMPLE_ID" NUMBER, 
	"GPTS_DISAMBIGUATOR" VARCHAR2(128 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
